apiVersion: apps/v1
kind: Deployment
metadata:
  name: {{ include "iipsrv.fullname" . }}
  labels:
    {{- include "iipsrv.labels" . | nindent 4 }}
spec:
  replicas: {{ .Values.replicaCount }}
  selector:
    matchLabels:
      {{- include "iipsrv.selectorLabels" . | nindent 6 }}
  template:
    metadata:
      labels:
        {{- include "iipsrv.selectorLabels" . | nindent 8 }}
    spec:
      {{- if .Values.dataVolumeClaimName }}
      volumes:
        - name: data
          persistentVolumeClaim:
            claimName: {{ tpl .Values.dataVolumeClaimName . }}
      {{- end }}
      containers:
        - name: {{ include "iipsrv.name" . }}
          image: >-
            {{ .Values.image.repository }}:{{ .Values.image.tag }}
          imagePullPolicy: {{ .Values.image.pullPolicy }}
          {{- if .Values.envVars }}
          env:
            {{- toYaml .Values.envVars | nindent 12 }}
          {{- end }}
          {{- if .Values.envVarsCM }}
          envFrom:
            - configMapRef:
                name: {{ .Values.envVarsCM }}
          {{- end }}
          ports:
            - name: fcgi
              containerPort: {{ .Values.containerPort }}
              protocol: TCP
          livenessProbe:
            tcpSocket:
              port: fcgi
          {{- if .Values.dataVolumeClaimName }}
          volumeMounts:
            - name: data
              mountPath: {{ tpl .Values.dataVolumeMountPath . }}
              readOnly: {{ .Values.dataVolumeReadOnly }}
          {{- end }}
